×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Regular Contributor
    Join Date
    Sep 2005
    Posts
    104

    How important is it to build using the correct SDK

    I use the S603rd FP2 SDK to build for all of my target production devices, be they S603rd first release, FP1 or FP2
    Is this a potential for problems ? Is it important to build using the exact SDK ?

  2. #2
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: How important is it to build using the correct SDK

    suggested is to use 3.0 MR SDK.

  3. #3
    Super Contributor
    Join Date
    Jul 2008
    Location
    Chennai,India
    Posts
    889

    Re: How important is it to build using the correct SDK

    It is safe to have a build for all versions with the following things in mind..
    There is backward compatibilty between versions in S60 3rd...
    hence you can build for S60 3rd safely and use them with FP1 and FP2...with no problems..

    And also
    1. Check for API deprecations between versions
    2. Check for API compatibility..and release notes..

  4. #4
    Registered User
    Join Date
    May 2006
    Location
    Germany
    Posts
    598

    Re: How important is it to build using the correct SDK

    It really depends what phones you are targeting.
    If you want to support all S60 3rd edition phone I would recommend you build using S60 3rd MR SDK.
    You should only use FP1 and FP2 SDKs if you want to use newer APIs or are targeting only those FP1 or FP2 hardware.

    If you feel more comfortable using some of the latest emulator you can always develop using the FP2 emulator for instance but produce and test your official release build using the MR SDK.

Similar Threads

  1. Replies: 3
    Last Post: 2007-08-28, 16:58
  2. Armi Build error(IDE Vs.Net 2003) SDK 7.0s
    By mubx2000 in forum Symbian Tools & SDKs
    Replies: 13
    Last Post: 2006-05-02, 16:50
  3. Replies: 1
    Last Post: 2004-02-19, 18:46
  4. armi build not working
    By lemody in forum Symbian
    Replies: 0
    Last Post: 2003-06-14, 15:04
  5. Series 60 Concept Emulator (SDK Beta 0.2 Linux) not working
    By mattbee in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2003-06-10, 11:43

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×